<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:41 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>IDeviceInfo (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IDeviceInfo (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IDeviceInfo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvents.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IDeviceInfo.html" target="_top">Frames</a></li>
<li><a href="IDeviceInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.device.scanner.wia</div>
<h2 title="Interface IDeviceInfo" class="title">Interface IDeviceInfo</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com4j.Com4jObject</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IDeviceInfo</span>
extends com4j.Com4jObject</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html#connect--">connect</a></span>()</code>
<div class="block">
 Establish a connection with this device and return a Device object</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html#deviceID--">deviceID</a></span>()</code>
<div class="block">
 Returns the DeviceID for this Device</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia">IProperties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html#properties--">properties</a></span>()</code>
<div class="block">
 A collection of all properties for this imaging device that are applicable when the device is not connected</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia">IProperty</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html#properties-java.lang.Object-">properties</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;index)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfo.html#type--">type</a></span>()</code>
<div class="block">
 Returns the Type of Device</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com4j.Com4jObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com4j.Com4jObject</h3>
<code>advise, dispose, equals, getComThread, getIUnknownPointer, getPointer, getPtr, hashCode, is, queryInterface, setName, toString</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deviceID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deviceID</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;deviceID()</pre>
<div class="block"><p>
 Returns the DeviceID for this Device
 </p>
 <p>
 Getter method for the COM property "DeviceID"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type java.lang.String</dd>
</dl>
</li>
</ul>
<a name="type--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>type</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/WiaDeviceType.html" title="enum in io.mosip.registration.device.scanner.wia">WiaDeviceType</a>&nbsp;type()</pre>
<div class="block"><p>
 Returns the Type of Device
 </p>
 <p>
 Getter method for the COM property "Type"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type WiaDeviceType</dd>
</dl>
</li>
</ul>
<a name="properties--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperties.html" title="interface in io.mosip.registration.device.scanner.wia">IProperties</a>&nbsp;properties()</pre>
<div class="block"><p>
 A collection of all properties for this imaging device that are applicable when the device is not connected
 </p>
 <p>
 Getter method for the COM property "Properties"
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IProperties</dd>
</dl>
</li>
</ul>
<a name="properties-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IProperty.html" title="interface in io.mosip.registration.device.scanner.wia">IProperty</a>&nbsp;properties(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;index)</pre>
</li>
</ul>
<a name="connect--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>connect</h4>
<pre><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDevice.html" title="interface in io.mosip.registration.device.scanner.wia">IDevice</a>&nbsp;connect()</pre>
<div class="block"><p>
 Establish a connection with this device and return a Device object
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a value of type IDevice</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/IDeviceInfo.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceEvents.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../io/mosip/registration/device/scanner/wia/IDeviceInfos.html" title="interface in io.mosip.registration.device.scanner.wia"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?io/mosip/registration/device/scanner/wia/IDeviceInfo.html" target="_top">Frames</a></li>
<li><a href="IDeviceInfo.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
